@layer vuetify-components {
  .v-avatar {
    flex: none;
    align-items: center;
    display: inline-flex;
    justify-content: center;
    line-height: normal;
    overflow: hidden;
    position: relative;
    text-align: center;
    transition: 0.2s cubic-bezier(0.4, 0, 0.2, 1);
    transition-property: width, height;
    vertical-align: middle;
  }
  .v-avatar.v-avatar--size-x-small {
    --v-avatar-height: 24px;
  }
  .v-avatar.v-avatar--size-small {
    --v-avatar-height: 32px;
  }
  .v-avatar.v-avatar--size-default {
    --v-avatar-height: 40px;
  }
  .v-avatar.v-avatar--size-large {
    --v-avatar-height: 48px;
  }
  .v-avatar.v-avatar--size-x-large {
    --v-avatar-height: 56px;
  }
  .v-avatar.v-avatar--density-default {
    height: calc(var(--v-avatar-height) + 0px);
    width: calc(var(--v-avatar-height) + 0px);
  }
  .v-avatar.v-avatar--density-comfortable {
    height: calc(var(--v-avatar-height) + -4px);
    width: calc(var(--v-avatar-height) + -4px);
  }
  .v-avatar.v-avatar--density-compact {
    height: calc(var(--v-avatar-height) + -8px);
    width: calc(var(--v-avatar-height) + -8px);
  }
  .v-avatar {
    border-color: rgba(var(--v-border-color), var(--v-border-opacity));
    border-style: solid;
    border-width: 0;
  }
  .v-avatar--border {
    border-width: thin;
    box-shadow: none;
  }
  .v-avatar {
    border-radius: 50%;
  }
  .v-avatar--variant-plain, .v-avatar--variant-outlined, .v-avatar--variant-text, .v-avatar--variant-tonal {
    background: transparent;
    color: inherit;
  }
  .v-avatar--variant-plain {
    opacity: 0.62;
  }
  .v-avatar--variant-plain:focus, .v-avatar--variant-plain:hover {
    opacity: 1;
  }
  .v-avatar--variant-plain .v-avatar__overlay {
    display: none;
  }
  .v-avatar--variant-elevated, .v-avatar--variant-flat {
    background: rgb(var(--v-theme-surface));
    color: color-mix(in srgb, rgb(var(--v-theme-on-surface)) calc(var(--v-medium-emphasis-opacity) * 100%), transparent);
  }
  .v-avatar--variant-elevated {
    box-shadow: 0px 1px 2px 0px rgba(var(--v-shadow-color), var(--v-shadow-key-opacity, 0.3)), 0px 1px 3px 1px rgba(var(--v-shadow-color), var(--v-shadow-ambient-opacity, 0.15));
    --v-elevation-overlay: color-mix(in srgb, var(--v-elevation-overlay-color) 2%, transparent);
  }
  .v-avatar--variant-flat {
    box-shadow: 0px 0px 0px 0px rgba(var(--v-shadow-color), var(--v-shadow-key-opacity, 0.3)), 0px 0px 0px 0px rgba(var(--v-shadow-color), var(--v-shadow-ambient-opacity, 0.15));
    --v-elevation-overlay: color-mix(in srgb, var(--v-elevation-overlay-color) 0%, transparent);
  }
  .v-avatar--variant-outlined {
    border: thin solid currentColor;
  }
  .v-avatar--variant-text .v-avatar__overlay {
    background: currentColor;
  }
  .v-avatar--variant-tonal .v-avatar__underlay {
    background: currentColor;
    opacity: var(--v-activated-opacity);
    border-radius: inherit;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    pointer-events: none;
  }
  .v-avatar .v-avatar__underlay {
    position: absolute;
  }
  .v-avatar--rounded {
    border-radius: 4px;
  }
  .v-avatar--start {
    margin-inline-end: 8px;
  }
  .v-avatar--end {
    margin-inline-start: 8px;
  }
  .v-avatar .v-img {
    height: 100%;
    width: 100%;
  }
}@layer vuetify-components {
  .v-badge {
    display: inline-block;
    line-height: 1;
  }
  .v-badge__badge {
    align-items: center;
    display: inline-flex;
    border-radius: 10px;
    font-family: var(--v-font-body, "Roboto", sans-serif);
    font-size: 0.75rem;
    font-weight: 500;
    height: 1.25rem;
    justify-content: center;
    min-width: 20px;
    padding: 4px 6px;
    position: absolute;
    text-align: center;
    text-indent: 0;
    transition: 0.225s cubic-bezier(0.4, 0, 0.2, 1);
    white-space: nowrap;
  }
  .v-badge__badge {
    background: rgb(var(--v-theme-surface-variant));
    color: color-mix(in srgb, rgb(var(--v-theme-on-surface-variant)) calc(var(--v-high-emphasis-opacity) * 100%), transparent);
  }
  .v-badge__badge:has(.v-icon) {
    padding: 4px 6px;
  }
  .v-badge--bordered .v-badge__badge::after {
    border-radius: inherit;
    border-style: solid;
    border-width: 2px;
    color: rgb(var(--v-theme-background));
    content: "";
    position: absolute;
    inset: 0;
    transform: scale(1.05);
  }
  .v-badge--dot .v-badge__badge {
    border-radius: 50%;
    height: 9px;
    min-width: 0;
    padding: 0;
    width: 9px;
  }
  .v-badge--dot .v-badge__badge::after {
    border-width: 1.5px;
  }
  .v-badge--inline .v-badge__badge {
    position: relative;
    vertical-align: middle;
  }
  .v-badge__badge .v-icon {
    color: inherit;
    font-size: 0.75rem;
    margin: 0 -2px;
  }
  .v-badge__badge img,
  .v-badge__badge .v-img {
    height: 100%;
    width: 100%;
  }
  .v-badge__wrapper {
    display: flex;
    position: relative;
  }
  .v-badge--inline .v-badge__wrapper {
    align-items: center;
    display: inline-flex;
    justify-content: center;
    margin: 0 4px;
  }
}
@layer vuetify-final.trumps {
  @media (forced-colors: active) {
    .v-badge__badge {
      forced-color-adjust: preserve-parent-color;
      background: highlight;
      color: highlighttext;
    }
  }
}